Collection class

- « Client::getClient

- Collection::add »

- PHP Manual
- Mysql_xdevapi
- Collection class

# Collection class

(PECL mysql-xdevapi >= 8.0.11)

## Introduction

## Class synopsis

class mysql_xdevapi\Collection implements mysql_xdevapi\SchemaObject {
/* Properties */
public $name;
/* Methods */
public add(mixed `$document`): mysql_xdevapi\CollectionAdd
public addOrReplaceOne(string `$id`, string `$doc`): mysql_xdevapi\Result
public count(): int
public createIndex(string `$index_name`, string `$index_desc_json`): void
public dropIndex(string `$index_name`): bool
public existsInDatabase(): bool
public find(string `$search_condition` = ?): mysql_xdevapi\CollectionFind
public getName(): string
public getOne(string `$id`): Document
public getSchema(): Schema Object
public getSession(): Session
public modify(string `$search_condition`): mysql_xdevapi\CollectionModify
public remove(string `$search_condition`): mysql_xdevapi\CollectionRemove
public removeOne(string `$id`): mysql_xdevapi\Result
public replaceOne(string `$id`, string `$doc`): mysql_xdevapi\Result
}

## Properties

name

## Table of Contents

- Collection::add — Add collection document
- Collection::addOrReplaceOne — Add or replace collection document
- Collection::__construct — Collection constructor
- Collection::count — Get document count
- Collection::createIndex — Create collection index
- Collection::dropIndex — Drop collection index
- Collection::existsInDatabase — Check if collection exists in database
- Collection::find — Search for document
- Collection::getName — Get collection name
- Collection::getOne — Get one document
- Collection::getSchema — Get schema object
- Collection::getSession — Get session object
- Collection::modify — Modify collection documents
- Collection::remove — Remove collection documents
- Collection::removeOne — Remove one collection document
- Collection::replaceOne — Replace one collection document